# Enable drift automation for all workspaces in a project

Enqueues a background job that creates drift triggers for every workspace in the project.

Endpoint: PUT /iacm/api/orgs/{org}/projects/{project}/settings/drift-config
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "m"

  - `project` (string, required)
    Project is the project identifier.
    Example: "o"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "sy"

## Request fields (application/json):

  - `pipeline_id` (string, required)
    Pipeline to run for drift detection
    Example: "Corrupti sapiente dolorum nam voluptas voluptas."

  - `run_every` (integer, required)
    Run drift detection every N hours or N days (see run_every_unit)
    Example: 8937790933382616000

  - `run_every_unit` (string, required)
    hours or days
    Enum: "hours", "days"

## Response 202 fields (application/json):

  - `job_id` (integer, required)
    Background job identifier
    Example: 9014766935437912000

  - `status` (string, required)
    Outcome message
    Example: "Ratione odio fuga nam possimus."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


